> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Redirect By Id

> The "Update Redirect By Id" API Allows updating an existing URL redirect in the system. Use this endpoint to modify a URL redirect with the specified ID using details provided in the request payload.

The "Update Redirect By Id" API Allows updating an existing URL redirect in the system. Use this endpoint to modify a URL redirect with the specified ID using details provided in the request payload.

```http theme={null}
PATCH https://services.leadconnectorhq.com/funnels/lookup/redirect/{id}
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="id" type="string" required />

## Body

<ParamField body="target" type="string" required default="https://www.google.com" />

<ParamField body="action" type="string" required default="URL">
  Posibles valores: 'funnel', 'website', 'url', 'all'
</ParamField>

<ParamField body="locationId" type="string" required default="6p2RxpgtMKQwO3E6IUaT" />

## Respuestas

<Accordion title="200 - Successful response">
  <ResponseField name="data" type="object" required>
    Data containing details of the updated redirect
  </ResponseField>

  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X PATCH 'https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "target": "https://www.google.com",
    "action": "URL",
    "locationId": "6p2RxpgtMKQwO3E6IUaT"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id', {
    method: 'PATCH',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"target": "https://www.google.com", "action": "URL", "locationId": "6p2RxpgtMKQwO3E6IUaT"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'PATCH',
      'https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"target": "https://www.google.com", "action": "URL", "locationId": "6p2RxpgtMKQwO3E6IUaT"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'PATCH',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'target': 'https://www.google.com', 'action': 'URL', 'locationId': '6p2RxpgtMKQwO3E6IUaT'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
